GET
/api/v1/notifications/preferencesSocial_ListNotificationPreferences
- Authentication
- required-user
- Cache policy
- private
- Success and errors
- 200, 400, 401, 403, 404, 409, 429, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Social_ListNotificationPreferences",
"summary": "GET /api/v1/notifications/preferences",
"tags": [
"Social"
],
"parameters": [],
"security": [
{
"cookieAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"category": {
"type": "string",
"enum": [
"SECURITY",
"ECONOMIC",
"AGENT",
"RUNTIME",
"TRUST",
"JOB",
"LAUNCH",
"SERVICE",
"ORDER",
"SUPPORT",
"SYSTEM"
]
},
"channel": {
"type": "string",
"enum": [
"IN_APP",
"EMAIL"
]
},
"mode": {
"type": "string",
"enum": [
"IMMEDIATE",
"DIGEST",
"OFF"
]
},
"quietHoursStart": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1439
},
{
"type": "null"
}
]
},
"quietHoursEnd": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1439
},
{
"type": "null"
}
]
},
"timezone": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
},
"required": [
"category",
"channel",
"mode",
"quietHoursStart",
"quietHoursEnd",
"timezone"
],
"additionalProperties": false
}
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"429": {
"description": "rate limited",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "required-user",
"x-cache-policy": "private",
"x-required-scopes": [],
"x-rate-cost": 1,
"x-stability": "STABLE"
}